/*
Theme Name: Astra Child By ModBer
Theme URI: https://wpastra.com/
Description: Tema hijo de Astra creado por ModBer
Author: ModBer (José Luis Modroño Berdiñas)
Author URI: https://www.linkedin.com/in/joseluismodro%C3%B1oberdi%C3%B1as/
Template: astra
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child-modber
*/

/*---------------------------------------------------------------------------------------------------------------------------------*/

/******************
*** TIPOGRAFÍAS ***
******************/

/*NOTA: La tipografía del body es POPPINS que se ha importado a través de las fuentes de Google Fonts de WordPress 7.0
*Poppins para el body y los tamaños de las fuentes están definidos en Apariencia / Global / Fuentes
*Hay otra tipografía más de Google Fonts que es Mrs Saint Delafield. Esta la asignaremos cuando sea necesario vía editor.
*Aquí en el style.css del tema child se ha importado Muro para los encabezados*/

/* Cargar tipografía Muro para los encabezados */
@font-face {
  font-family: 'Muro';
  src: url('./assets/fonts/Muro.otf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

h1, h2, h3, h4, h5, h6, .site-title > a {
  font-family: 'Muro', cursive;
  line-height: 1em !important;
  letter-spacing: 1px;
}

/*Tipografía nombre sitio header*/
.site-title > a {

}

/*Tipografías Footer y Subfooter*/
#subfooter * {
  color: var(--crema);
}

#subfooter a:hover {
  color: var(--verde)
}

/*---------------------------------------------------------------------------------------------------------------------------------*/

/**************
*** COLORES ***
***************/

* {
  --crema: #EBD6B0;
  --verde: #498384;
  --negro: #16232B;
  --rojo: #89132C;
}

/*---------------------------------------------------------------------------------------------------------------------------------*/

/***********
*** HOME ***
************/

/*EN QUÉ PUEDO AYUDARTE*/
.home-enquepuedoayudarte-columnas > div:nth-child(3) figure {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
  }


/*SOBRE MI*/
/* .home-aboutme-rrss {
  padding-left: 0 !important;
}

.home-aboutme-rrss > li:hover {
  background-color: var(--amarillo) !important;
} */

/*RESEÑAS*/
/* .slider-reviews div#n2-ss-2 .n2-ss-slider-3 {
    border-radius: 10px;
} */

.slider-reviews .n2-ss-slider-2.n2-ow {
    box-shadow: 6px 6px 20px var(--encabezados);
    border-radius: 10px !important;
}

/*---------------------------------------------------------------------------------------------------------------------------------*/

/**********************
*** FORMULARIO HOME ***
***********************/

/*Este código funciona gracias a la clase "home-columna-formulariocontacto" que tiene la columna que contiene el shortcode*/

.home-columna-formulariocontacto label, .home-columna-formulariocontacto a, .home-columna-formulariocontacto p.form-info-legal {
    color: var(--crema);
    font-size: 18px;
}

.home-columna-formulariocontacto a:hover {
  color: var(--negro);
}
.home-columna-formulariocontacto span.wpcf7-not-valid-tip {
  background-color: #000000;
  padding: 0.5rem;
}

.home-columna-formulariocontacto input.wpcf7-form-control.wpcf7-submit.has-spinner:hover {
      background-color: var(--negro) !important;
}

/*---------------------------------------------------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------------------------------------------*/

/*****************
*** RESPONSIVE ***
******************/

@media (max-width: 976px) {
  /*HOME*/
  /*>RESEÑAS*/
  .home-loquedicenmisclientes-bloquetarjetas > div > div:nth-child(1) {
    justify-content: center !important;
  }
  .home-loquedicenmisclientes-bloquetarjetas .wp-block-uagb-star-rating .uag-star-rating {
    font-size: 40px;
  }
}

@media (max-width: 900px) {
  /*HOME*/
  /*>BANNER - Box Shadow textos sobre foto*/
  .home-banner-columnas h1, .home-banner-columnas h2, .home-banner-columnas p {
    text-shadow: 3px 3px 10px #ffffff !important;
  }

  /*>PROYECTOS - Tamaño imágenes proyectos*/
  .home-proyectosdestacados-bloquetarjetas img {
    max-width: 200px;
  }
}

@media (max-width: 781px) {
  /*HOME*/
  /*>PROYECTOS - Tamaño imágenes proyectos*/
  .home-proyectosdestacados-bloquetarjetas img {
    max-width: 250px;
  }

  /*>PROYECTOS - Eliminar espaciador entre proyectos*/
  .home-proyectosdestacados-espaciador, .home-holasoypaula-espaciador {
    display: none;
  }

  /*>EN QUÉ PUEDO AYUDARTE - centrar todo*/
  .home-enquepuedoayudarte-columnas figure {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 0px;
  }

  /*>EN QUÉ PUEDO AYUDARTE - Quitar espaciado entre columnas*/
  .wp-block-columns.home-enquepuedoayudarte-columnas.is-layout-flex.wp-container-core-columns-is-layout-7387b849.wp-block-columns-is-layout-flex {
    gap: 0px !important;
  }

  /*>EN QUÉ PUEDO AYUDARTE - centrar columna tres*/
  .home-enquepuedoayudarte-columnas > div:nth-child(3) figure {
    justify-content: center;
  }

  /*>EN QUÉ PUEDO AYUDARTE - centrar títulos*/
  .home-enquepuedoayudarte-columnas h3 {
    text-align: center !important;
  }

  /*>EN QUÉ PUEDO AYUDARTE - centrar listas*/
  .home-enquepuedoayudarte-list > div {
    display: flex !important;
    flex-direction: column !important;
    justify-content: center !important;
    align-items: center !important;
  }

  /*>EN QUÉ PUEDO AYUDARTE - centrar textos listas*/

   .home-enquepuedoayudarte-list span {
    text-align: center !important;
   }

  /*>EN QUÉ PUEDO AYUDARTE - Quitar columna central*/
  .home-enquepuedoayudarte-columnacentral {
    display: none;
  }

  /*>HOLA SOY PAULA*/
  .home-holasoypaula-columnacentral {
    padding-left: 0px !important;
  }
}

@media (max-width: 400px) {
  .footer-enlaces {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: cienter;
  }

  .footer-guiones-enlaces {
    display: none;
  }
}

@media (max-width: 343px) {
  /*HOME - Disposición botones banner*/
  .home-banner-botones > div {
    display: flex !important;
    flex-direction: column !important;
    justify-content: center !important;
    align-items: start !important;
  }

}
